package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.BorderStyleEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
@ContentStyle(
   borderLeft = BorderStyleEnum.THIN,
   borderBottom = BorderStyleEnum.THIN,
   borderRight = BorderStyleEnum.THIN,
   borderTop = BorderStyleEnum.THIN
)
public class DrpExcelQuoteVO implements Serializable {
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("询价标题")
   private String title;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("报价开始时间")
   private String startTime;
   @ApiModelProperty("报价结束时间")
   private String endTime;
   @ApiModelProperty("报价时间")
   private String quoteTime;
   @ApiModelProperty("预计决标时间")
   private String expectBidTime;
   @ApiModelProperty("要求到货时间")
   private String requestArrivalTime;
   @ApiModelProperty("询价备注")
   private String inquiryNotes;
   @ApiModelProperty("联系电话")
   private String phone;
   @ApiModelProperty("联系人")
   private String linkMan;
   @ApiModelProperty("收货地址")
   private String address;
   @ApiModelProperty("报价总金额")
   private BigDecimal totalAmount;

   public String getInquiryId() {
      return this.inquiryId;
   }

   public String getTitle() {
      return this.title;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public String getQuoteTime() {
      return this.quoteTime;
   }

   public String getExpectBidTime() {
      return this.expectBidTime;
   }

   public String getRequestArrivalTime() {
      return this.requestArrivalTime;
   }

   public String getInquiryNotes() {
      return this.inquiryNotes;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getLinkMan() {
      return this.linkMan;
   }

   public String getAddress() {
      return this.address;
   }

   public BigDecimal getTotalAmount() {
      return this.totalAmount;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setTitle(final String title) {
      this.title = title;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setStartTime(final String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final String endTime) {
      this.endTime = endTime;
   }

   public void setQuoteTime(final String quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setExpectBidTime(final String expectBidTime) {
      this.expectBidTime = expectBidTime;
   }

   public void setRequestArrivalTime(final String requestArrivalTime) {
      this.requestArrivalTime = requestArrivalTime;
   }

   public void setInquiryNotes(final String inquiryNotes) {
      this.inquiryNotes = inquiryNotes;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setLinkMan(final String linkMan) {
      this.linkMan = linkMan;
   }

   public void setAddress(final String address) {
      this.address = address;
   }

   public void setTotalAmount(final BigDecimal totalAmount) {
      this.totalAmount = totalAmount;
   }
}
